

#ifndef SERIESDISERVER_H_
#define SERIESDISERVER_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "stdint.h"


void X2CScope_Initialise();
void X2CScope_Communicate();
void X2CScope_Update();
void X2CScope_HookUARTFunctions(void (*sendSerialFcnPntr)(uint8_t), uint8_t (*receiveSerialFcnPntr)(),
        						uint8_t (*isReceiveDataAvailableFcnPntr)(), uint8_t (*isSendReadyFcnPntr)());


#ifdef __cplusplus
}
#endif
#endif /* SERIESDISERVER_H_ */
